import { OnInit } from "@angular/core";
import { SchedulingRuleV2Dto, SchedulingRuleV2DtoPatternEnum } from "@smallstack/axios-api-client";
import { SchemaFormBaseWidget } from "@smallstack/form-core-components";
import * as i0 from "@angular/core";
export declare class SchedulingRuleInputV2Component extends SchemaFormBaseWidget implements OnInit {
    protected startTime: string;
    protected endTime: string;
    protected scheduleStart: string;
    protected scheduleEnd: string;
    protected schedulingRulePattern: SchedulingRuleV2DtoPatternEnum[];
    protected schedulingRule: SchedulingRuleV2Dto;
    protected nextDates: number[];
    ngOnInit(): void;
    protected updatePreviewDates(): void;
    protected syncLocalToSchedulingRule(): void;
    protected patternUpdated(): void;
    protected sendData(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchedulingRuleInputV2Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SchedulingRuleInputV2Component, "ng-component", never, {}, {}, never, never, false, never>;
}
