import { ApiQueryRequest, Page } from "@smallstack/api-shared";
import { AxiosApiClient, TodoSurchargeDto } from "@smallstack/axios-api-client";
import { PageableCrudStore } from "@smallstack/store";
import * as i0 from "@angular/core";
export declare class TodoSurchargesStore extends PageableCrudStore<TodoSurchargeDto> {
    private axiosApiClient;
    constructor(axiosApiClient: AxiosApiClient);
    protected loadModels(query: ApiQueryRequest): Promise<Page<TodoSurchargeDto>>;
    protected loadModelById(id: string): Promise<TodoSurchargeDto>;
    protected deleteModelById(id: string): Promise<void>;
    protected deleteModelsByIds(ids: string[]): Promise<void>;
    protected createModel(model: TodoSurchargeDto): Promise<TodoSurchargeDto>;
    protected patchModel(id: string, model: Partial<TodoSurchargeDto>): Promise<TodoSurchargeDto>;
    protected putModel(model: TodoSurchargeDto): Promise<TodoSurchargeDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TodoSurchargesStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TodoSurchargesStore>;
}
