import { AxiosApiClient, TodoTemplateDto } from "@smallstack/axios-api-client";
import { ApiQueryRequest, Page } from "@smallstack/api-shared";
import { PageableCrudStore } from "@smallstack/store";
import * as i0 from "@angular/core";
export declare class MyTodoTemplateStore extends PageableCrudStore<TodoTemplateDto> {
    private axiosApiClient;
    constructor(axiosApiClient: AxiosApiClient);
    protected loadModels(query: ApiQueryRequest): Promise<Page<TodoTemplateDto>>;
    protected loadModelById(id: string): Promise<TodoTemplateDto>;
    protected deleteModelById(id: string): Promise<any>;
    protected deleteModelsByIds(ids: string[]): Promise<void>;
    protected createModel(model: TodoTemplateDto): Promise<TodoTemplateDto>;
    protected patchModel(id: string, model: Partial<TodoTemplateDto>): Promise<TodoTemplateDto>;
    protected putModel(model: TodoTemplateDto): Promise<TodoTemplateDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MyTodoTemplateStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MyTodoTemplateStore>;
}
