import { AxiosApiClient, TodoDto } from "@smallstack/axios-api-client";
import { ApiQueryRequest, Page } from "@smallstack/api-shared";
import { PageableCrudStore } from "@smallstack/store";
import * as i0 from "@angular/core";
export declare class TodoStore extends PageableCrudStore<TodoDto> {
    private axiosApiClient;
    constructor(axiosApiClient: AxiosApiClient);
    protected loadModels(query: ApiQueryRequest): Promise<Page<TodoDto>>;
    protected loadModelById(id: string): Promise<TodoDto>;
    protected deleteModelById(id: string): Promise<any>;
    protected deleteModelsByIds(ids: string[]): Promise<void>;
    protected createModel(model: TodoDto): Promise<TodoDto>;
    protected patchModel(id: string, model: Partial<TodoDto>): Promise<TodoDto>;
    protected putModel(model: TodoDto): Promise<TodoDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TodoStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TodoStore>;
}
